xine-lib: sequence_t Struct Reference

xine-lib 1.2.12

Data Fields
sequence_t Struct Reference

## Data Fields
uint32_t | coded_width
uint32_t | coded_height
double | video_step
double | reported_video_step
double | ratio
VdpDecoderProfile | profile
int | horizontal_size_value
int | vertical_size_value
int | aspect_ratio_information
int | frame_rate_code
int | progressive_sequence
int | chroma
int | horizontal_size_extension
int | vertical_size_extension
int | frame_rate_extension_n
int | frame_rate_extension_d
int | display_horizontal_size
int | display_vertical_size
int | top_field_first
int | have_header
int | have_display_extension
uint8_t * | buf
int | bufseek
uint32_t | bufsize
uint32_t | bufpos
int | start
picture_t | picture
vo_frame_t * | forward_ref
vo_frame_t * | backward_ref
int64_t | cur_pts
int64_t | seq_pts
vdpau_accel_t * | accel_vdpau
bits_reader_t | br
int | vdp_runtime_nr
int | reset
uint64_t | video_step
int | have_codec_name
char | codec_name [256]
int | fixed_vop_time_increment
int | time_increment_bits
int | last_time_base
int | time_base
int | time
int | last_non_b_time
int | t_frame
int | color_matrix
uint64_t | reported_video_step
int | mode
int | code_start
int | current_code

## Field Documentation

## ◆ accel_vdpau

vdpau_accel_t * sequence_t::accel_vdpau

Referenced by decode_picture().

## ◆ aspect_ratio_information

int sequence_t::aspect_ratio_information

Referenced by process_sequence_mpeg12_dependent_data(), and sequence_header().

## ◆ backward_ref

vo_frame_t * sequence_t::backward_ref

Referenced by decode_picture(), decode_render(), and reset_sequence().

## ◆ br

bits_reader_t sequence_t::br

Referenced by entry_point(), gop_header(), picture_coding_extension(), picture_header(), picture_header_advanced(), quant_matrix_extension(), sequence_extension(), sequence_header(), sequence_header_advanced(), video_object_layer(), video_object_plane(), and visual_object().

## ◆ buf

uint8_t * sequence_t::buf

Referenced by decode_picture(), vdpau_mpeg12_decode_data(), vdpau_mpeg4_decode_data(), and vdpau_vc1_decode_data().

## ◆ bufpos

uint32_t sequence_t::bufpos

Referenced by decode_picture(), reset_sequence(), vdpau_mpeg12_decode_data(), vdpau_mpeg4_decode_data(), and vdpau_vc1_decode_data().

## ◆ bufseek

int sequence_t::bufseek

Referenced by decode_picture(), reset_sequence(), vdpau_mpeg12_decode_data(), vdpau_mpeg4_decode_data(), and vdpau_vc1_decode_data().

## ◆ bufsize

uint32_t sequence_t::bufsize

Referenced by vdpau_mpeg12_decode_data(), vdpau_mpeg4_decode_data(), and vdpau_vc1_decode_data().

## ◆ chroma

int sequence_t::chroma

Referenced by decode_picture(), free_sequence(), and sequence_extension().

## ◆ code_start

int sequence_t::code_start

Referenced by parse_code(), reset_sequence(), and vdpau_vc1_decode_data().

## ◆ codec_name

char sequence_t::codec_name[256]

Referenced by free_sequence(), update_metadata(), and user_data().

## ◆ coded_height

uint32_t sequence_t::coded_height

Referenced by decode_picture(), decode_render(), entry_point(), process_sequence_mpeg12_dependent_data(), sequence_header_advanced(), update_metadata(), vdpau_vc1_decode_data(), and video_object_layer().

## ◆ coded_width

uint32_t sequence_t::coded_width

Referenced by decode_picture(), decode_render(), entry_point(), process_sequence_mpeg12_dependent_data(), sequence_header_advanced(), update_metadata(), vdpau_vc1_decode_data(), and video_object_layer().

## ◆ color_matrix

int sequence_t::color_matrix

Referenced by decode_picture(), sequence_header(), sequence_header_advanced(), and visual_object().

## ◆ cur_pts

int64_t sequence_t::cur_pts

Referenced by decode_render(), picture_header(), reset_sequence(), vdpau_mpeg12_decode_data(), vdpau_mpeg4_decode_data(), vdpau_vc1_decode_data(), and video_object_plane().

## ◆ current_code

int sequence_t::current_code

Referenced by parse_code(), reset_sequence(), and vdpau_vc1_decode_data().

## ◆ display_horizontal_size

int sequence_t::display_horizontal_size

Referenced by process_sequence_mpeg12_dependent_data().

## ◆ display_vertical_size

int sequence_t::display_vertical_size

Referenced by process_sequence_mpeg12_dependent_data().

## ◆ fixed_vop_time_increment

int sequence_t::fixed_vop_time_increment

Referenced by video_object_layer().

## ◆ forward_ref

vo_frame_t * sequence_t::forward_ref

Referenced by decode_picture(), and reset_sequence().

## ◆ frame_rate_code

int sequence_t::frame_rate_code

Referenced by process_sequence_mpeg12_dependent_data(), and sequence_header().

## ◆ frame_rate_extension_d

int sequence_t::frame_rate_extension_d

Referenced by process_sequence_mpeg12_dependent_data(), and sequence_extension().

## ◆ frame_rate_extension_n

int sequence_t::frame_rate_extension_n

Referenced by process_sequence_mpeg12_dependent_data(), and sequence_extension().

## ◆ have_codec_name

int sequence_t::have_codec_name

Referenced by free_sequence(), and user_data().

## ◆ have_display_extension

int sequence_t::have_display_extension

Referenced by process_sequence_mpeg12_dependent_data(), and sequence_header().

## ◆ have_header

int sequence_t::have_header

Referenced by free_sequence(), init_sequence(), parse_code(), parse_header(), process_sequence_mpeg12_dependent_data(), sequence_header(), update_metadata(), and video_object_layer().

## ◆ horizontal_size_extension

int sequence_t::horizontal_size_extension

Referenced by process_sequence_mpeg12_dependent_data(), and sequence_header().

## ◆ horizontal_size_value

int sequence_t::horizontal_size_value

Referenced by process_sequence_mpeg12_dependent_data(), and sequence_header().

## ◆ last_non_b_time

int sequence_t::last_non_b_time

Referenced by reset_sequence(), and video_object_plane().

## ◆ last_time_base

int sequence_t::last_time_base

Referenced by reset_sequence(), and video_object_plane().

## ◆ mode

int sequence_t::mode

Referenced by decode_picture(), and vdpau_vc1_decode_data().

## ◆ picture

picture_t sequence_t::picture

Referenced by copy_slice(), decode_picture(), decode_render(), entry_point(), init_sequence(), parse_code(), picture_coding_extension(), picture_header(), picture_header_advanced(), picture_ready(), quant_matrix_extension(), reset_sequence(), sequence_header(), sequence_header_advanced(), video_object_layer(), video_object_plane(), and visual_object().

## ◆ profile

VdpDecoderProfile sequence_t::profile

Referenced by decode_picture(), decode_render(), free_sequence(), init_sequence(), picture_header(), process_sequence_mpeg12_dependent_data(), sequence_extension(), sequence_header(), and sequence_header_advanced().

## ◆ progressive_sequence

int sequence_t::progressive_sequence

Referenced by decode_picture(), and sequence_extension().

## ◆ ratio

double sequence_t::ratio

Referenced by decode_picture(), init_sequence(), process_sequence_mpeg12_dependent_data(), sequence_header_advanced(), update_metadata(), vdpau_vc1_decode_data(), and video_object_layer().

## ◆ reported_video_step [1/2]

double sequence_t::reported_video_step

Referenced by process_sequence_mpeg12_dependent_data(), and update_metadata().

## ◆ reported_video_step [2/2]

uint64_t sequence_t::reported_video_step

## ◆ reset

int sequence_t::reset

Referenced by decode_picture(), and reset_sequence().

## ◆ seq_pts

int64_t sequence_t::seq_pts

Referenced by decode_picture(), decode_render(), picture_header(), reset_sequence(), vdpau_vc1_decode_data(), and video_object_plane().

## ◆ start

int sequence_t::start

Referenced by decode_picture(), reset_sequence(), vdpau_mpeg12_decode_data(), vdpau_mpeg4_decode_data(), and vdpau_vc1_decode_data().

## ◆ t_frame

int sequence_t::t_frame

Referenced by reset_sequence(), video_object_layer(), and video_object_plane().

## ◆ time

int sequence_t::time

Referenced by reset_sequence(), and video_object_plane().

## ◆ time_base

int sequence_t::time_base

Referenced by gop_header(), reset_sequence(), and video_object_plane().

## ◆ time_increment_bits

int sequence_t::time_increment_bits

Referenced by video_object_layer(), and video_object_plane().

## ◆ top_field_first

int sequence_t::top_field_first

Referenced by decode_picture(), and reset_sequence().

## ◆ vdp_runtime_nr

int sequence_t::vdp_runtime_nr

Referenced by decode_picture(), and decode_render().

## ◆ vertical_size_extension

int sequence_t::vertical_size_extension

Referenced by process_sequence_mpeg12_dependent_data(), and sequence_header().

## ◆ vertical_size_value

int sequence_t::vertical_size_value

Referenced by process_sequence_mpeg12_dependent_data(), and sequence_header().

## ◆ video_step [1/2]

uint64_t sequence_t::video_step

Referenced by decode_picture(), free_sequence(), init_sequence(), process_sequence_mpeg12_dependent_data(), sequence_header_advanced(), update_metadata(), and video_object_layer().

## ◆ video_step [2/2]

uint64_t sequence_t::video_step

The documentation for this struct was generated from the following files:

- xine-lib-1.2.12/src/video_dec/libvdpau/vdpau_mpeg12.c
- xine-lib-1.2.12/src/video_dec/libvdpau/vdpau_mpeg4.c
- xine-lib-1.2.12/src/video_dec/libvdpau/vdpau_vc1.c